 TechFacts XP
copyright 2002 Dean Software Design
10th Anniversary 1992-2002

 Overview

Using the Interface
 Startup
Menu Options
Toolbars
Command Line Options

System Options
 System Monitors
Machine Settings
 CPU Characteristics
 Memory Information
Available Printers
Display Characteristics
 Power (APM) Settings
 Media Devices and Settings
 Drive Map List
 Device List and Parameters
 CMOS Dump (Win 9x/ME only)
 Hardware Ports (IRQ,DMA)

Windows Options
 Operating System Version
 Time Zone Settings
Running Processes
Startup Data (INI,Registry)
 Database Availability
 DirectX Settings
 Windows List and Details
 Internet Explorer Version and Settings
 File Associations
Installed Fonts
Clipboard Viewer
DCom Servers
Global Atoms
Loaded Modules
Running Threads

NT/2000/XP
 NT Services (NT/2k/XP only)
 Performance Data
File Monitor
Disk Sector Viewer
ROM/BIOS Dump

Network
 Network Settings
 Network Ports (TCP/UDP)
 Network Monitor
Port Scanner
Ping / Trace
Network Resource Search

Software/File Tools
 Installed Software List
Software Search (Version,Company)
 Software Sniffer (DOS,Imports,Exports)
 Software Debug
Software Resource Explorer
 Hex File Editor

System Tools
 Software Change Monitor
System Benchmark Tests
Disk Analysis
Directory Compare & Synchronize
 Tweak UI Settings
Registry Browser
DLL Orphan Manager

Clean and Repair Tools
 Registry Analysis and Cleanup and Cleanup
 Disk Cleanup
Memory Defragmenter

Web Tools
 Offline Web Page Catalog
Cookie Manager

Graphics Tools
 Icon Extractor
Graphics Viewer
Screen Capture

Reports
 Text Report of all Techfacts Data
 Export data to HTML
Export data to Excel
Custom Report

 International Language support
 Version History


 Overview

Techfacts XP provide advanced diagnostic, monitoring and troubleshooting tools for Windows 32 bit operating system platforms.

Supported OS:

Windows 95
Windows 98
Windows ME
Windows NT
Windows 2000
Windows XP (tested with RC1)

The Techfacts XP interface is intuitive and simple, providing a framework for navigation and display of data.

Return to Table of Contents Page


 Machine Settings

Identification
Machine name - Registry based
User name - Registry based

Bios Information
Name
Copyright
Date
Extended Information

Boot Information
Last Boot
System Up Time

Key Lock Settings
Num Lock
Caps Lock
Scroll Lock


 Menu Options

From the main menu, you have the following options:

File Menu
Configure - Invoke the configuration dialog
Print - Print the current topic or all topics
Close - Exit the program

View Menu
Show or Hide shortcut toolbar
Show or Hide main toolbar
Kickoff selected Techfacts XP functions

Data Menu
Refresh - Refresh the data screens with updated information
Save Report as Text
Save all Topics
Save this Topic
Email the Data - Formats the current topic and invokes your default email program

Help Menu
About
Techfacts XP Help Index
Techfacts XP Help Topics
Send Email to Dean Software
Check for updated version
www.winutils.com


 Startup

If you have an unregistered version of TechFacts XP, you will be shown the startup splash screen which indicates the number of days remaining in your trial period.

If your copy of Techfacts XP is registered then the splash screen is bypassed.


 Toolbar Options

Main Toolbar

Exit Button - Exits the program
Print Button - Prints the current topic
Email Button - Email the current topic using your default email client.
Web/Data Button - Switches Techfacts context between the integrated web browser and the data forms.
Web Back Button - navigate to previous URL
Web Forward Button - navigate to next URL
Web Refresh Button - refresh the current URL
Web Stop Button - Stop the current web navigation operation
URL Edit - enter and edit URL strings

Navigation Toolbar

System Options - Tools related to your system
Windows Options - Tools related to Windows
Software Options - Software search and interpretation tools
Tools Options - Tools related to performance and system improvement
Reports Options - Printing and Exporting data

Status Toolbar

Date and Time - Based on system clock
CPU Usage - Overall CPU utilization
Status text - Status from specific tool operations


 Command Line Options

Techfacts XP can be automated using command line options available when invoked:

/snapshot - This option will force Techfacts XP to take a system snapshot using the snapshot options saved in the configuration. If no options have been saved then it will use default options.

/textreport=xxxxx.yyy - Do a text report and save the report into a text file of the name xxxxx.yyy which must contain a full valid path to either a local or available network folder.

/htmlexport=xxxxx.yyy - Do an HTML export of the text report and save the HTML data into an HTML file of the name xxxxx.yyy which must contain a full valid path to either a local or available network folder.

/customreport=xxxxx.yyy - Use the custom report options saved as defaults on the custom report screen of Techfacts XP.

/autoclose - This option will force Techfacts XP to automatically close and exit. autoclose MUST be the last option on the command line in order for the other command line options to work.

/debug=xxxxx.yyy - This option forces program debug statements to be written to file xxxxx.yyy to assist Dean Software in debugging problems.


 CPU Information

Model Identification
CPU Family and Model
Code name
Vendor
Transistors
Serial Number

Cache
Level 1 and 2 cache

Features List
Retrieved from CPU registers


 Memory Information

Memory Capacity
Physical Total
Physical Free
Page File Total
Page File Free
Virtual Total
Virtual Free

Memory Utilization Percentage

Memory Properties
Allocation granularity
Application address range
Page size


 Printer Information

Printer Name
Printer Port

Click on Properties button to open properties dialog for default printer.


 Display Information

Adapter List
Default adapter displayed
Click on drop down box to select a different adapter

Adapter Properties
Chipset
DAC
Memory

Click on "Supported Video Modes" to list all video modes this adapter supports

BIOS information when provided by adapter

Display Capabilities
Technology
Metrics
Font Resolution
Curve Capabilities
Line Capabilities
Polygon capabilities
Raster capabilities
Text capabilities


 Power Information

Advanced Power Management
AC Power Status: Offline or Online
Batter charge status

Battery Status
Full life time
Life time

Battery Charge graph


 Media Devices

Available Media Devices
List of all available media devices

Sound Devices
List of all available sound devices
Driver
Device


 Network Information

Network Adapters
List of all installed network adapters

Addresses
IP Addresses of machine
MAC addresses of adapters

Protocols - Click on button for all installed protocols

Services - Click on button for all installed services

Clients - Click on button for all installed clients

Winsock
Description
Version
Status


 Device List

List of all installed device groups based on registry groupings

Click on a device group to view all devices within that group

Click on a device to highlight the "Properties" button

Click on the properties button to show device driver information for the selected device


 Storage Information

List of all available devices - boot device will be shown, use the dropdown list to select other devices and retrieve storage data on that device.

Properties
Device type: Fixed, Removable, etc
UNC
Serial Number
Capacity
Free space
Space used graph (%)

Detailed Device Properties
Case sensitive
Unicode stored on disk
Persistent Acls
File compression
Volume is compressed
Long filename support
Encrypted file system support
Object IDs support
Reparse points support
Sparse files support
Disk quotas support


CMOS

 CMOS Listing

Displays all CMOS settings from 0 to 7fhex

Index
Item
Value
Hex
Chr

Note: This function does not work on Win NT, 2000 and XP operating systems.


 Hardware Ports

Enumerates all device on the system that have port data.

Device Class
Device Key
Description
Port Data
Port I/O areas
Memory areas
IRQs used


 Network Port Information

Enumerates all network ports that are open

Protocol: TCP, UDP
Local Address
Remote Address
State: Listening, attached..


 Operating System Information

Windows O/S: Win9x, WinME, WinNT, Win2k, WinXP

Version
Product ID
Product Key
Registered User
Registered Organization

Windows Folders
Folder name
Location

Environment - Click on this button to display Windows environment variables

Installed Suites - Click on this button to display installed Windows Suites


 Date & Time Zone Information

Time Zone data including standard and daylight times and bias.


 Process Information

Enumerates all running process on the system

PID - Process ID in hex
Image name - executable
Location - path where executable resides

Use the "Terminate" button to terminate a selected process

Click the "Properties" button to display a dialog on the properties of the process executable file


 Startup Information

Startup - Registry user options
Startup - Registry common startup options
HKLM - Registry local machine RUN options
HKCU - Registry current user RUN options
Run Once - Registry run once options
WIN.INI - Windows default INI settings to run


 Database Engines

If found, each database will show it's installed version.

Open Database Connectivity (ODBC)
Borland Database Engine
Microsoft Data Access Objects
Microsoft Active-X Objects


 DirectX Information

If installed, the installed version is shown

List of all installed DirectX drivers and associated device


 Windows List

Enumeration of all visible and non-visible windows. By default, list shows top windows.

Click on "+" to drill into child windows for each parent.

Select a window and click on the "Properties" tab to view detailed windows data

General Tab
Window name
Text
Handle
Process
Thread
Parent
Wnd Proc
Instance
ID
Rectangle
Client Rectangle
User data

Style Tab
Styles
Extended Styles

Class Info
Class name
Atom
Class bytes
Win bytes
Wnd Proc
Instance
HBackground
HCursor
HIcon
Styles


 NT Services

Available on only WinNT,Win 2000 and Win XP platforms


 Internet Explorer Information

This function provides a snapshot of your Internet Explorer installed version, including:

Data Gathered:

Internet Explorer installed or unavailable
Product version
Version in registry
Version in library
Version description
Encryption strength
Start page
Proxy Information

History Lists:

Cookie History
Internet History
Visited URLs


 Installed Software

Lists all installed software on your system


 Software Search

This tool searches local and network drives for software based on the software versioning information vendors embed in software:
Company Name
Description
Version

Search Criteria Options

Select the disk(s) you want to examine by checking the checkbox by the disk identifier.

To search for words within the Company Name (ie: Dean Software) check the checkbox and enter the characters to search for.

To search for words within the File Description (ie: TechFacts) check the checkbox and enter the characters to search for.

Viewing the Results

The Results of the search are displayed on the results tab.

File name
Company name
Description
Version
Path


 Software Sniffer

This software tool can be used to examine the detailed interface of software and how it relates to your system and dependancies on other software

You can examine
MSDos Header Data
PE Header Data
PE Optional Header Data
Import List
Export List

Selection Criteria

Select which portions of the file interfaces you want to examine by checking the checkboxes by the options.

Using the folder explorer, navigate to the folder you want to examine.

Clicking on a folder name will populate the file explorer with the files in that folder.

To examine all the files in a folder and all sub-folders, click on the "Examine Folder" button.

To examine a specific file selected in the file explorer, click on the "Examine File" button.

Viewing the Results

File name and path
Reference type
Data related to the reference


 Software Change Monitor

This tool is used to monitor changes to directories, files and the registry. This is done by taking a snapshot of your system at a particular date and time and then comparing it to another snapshot from a different date and time and documenting the differences.

Taking a snapshot

On the Settings tab, check the registry keys you want to monitor. Note that most user settings occur in the HKEY_CLASSES_ROOT, HKEY_CURRENT_USER and HKEY_LOCAL_MACHINE keys.

Check which disks you want to monitor.

Indicate whether you want to monitor system INI files for changes.

Once your snapshot settings are complete, click on the"Take Snapshot" button. The progress window will appear until the snapshot is complete. If you click the "Cancel" button during progress of the snapshot then no snapshot data will be saved.

Selecting snapshots to compare

When a snapshot is complete you will be shown a list of all snapshots available in the Techfacts XP folder.

Using the checkboxes next to the snapshot dates and times, select 2 snapshots to compare for differenced.

Click the "Run Comparison" button

Viewing results

When the comparison is complete the results page will be shown. Each category will be shown with specific results:

Registry Keys Added
Registry Keys Deleted
Registry Keys Changed


 Registry Analysis

This tools analyses your system's registry for abandoned links to files or folders on your system. By eliminating these unneeded links you can make your registry smaller and more efficient.

Starting an Analysis

Select which registry keys you want examined.

Note that the HKEY_CLASSES_ROOT and HKEY_CURRENT_CONFIG keys contain large amounts of binary data which make them hard to examine. User data is rarely found in these keys.

To begin the analysis, click the "Start Analysis" button .

Viewing the Results

Deleting Abandoned Links


 Benchmark Tests

Use this tool to run performance benchmarks on specific aspects of your system.

Disk Benchmark Test

This test measures a disk's read and write performance.

Running and Results

After you click on the "Start Benchmark" button, the Results tab will be displayed.

For each benchmark test a timestamped entry will appear with the benchmark results.


 Text Report of All Topics

This option provides a text summary of all diagnostic topics within Techfacts XP.

This report is a better option for printing or emailing.


 Export Topic to HTML

This option exports the currently viewed diagnostic option to an HTML format file which will be automatically loaded into the integrated web browser.


 Disk Analysis

Select the drive or folder to analyse and click on the Scan Disk button.

During the analysis the progress windows will be displayed. At any time during the analysis you can click the CANCEL button and partial analysis results will be displayed.

Data displayed:

File
Disk Space
%
Graph

Actions available:

- Double click on a folder to drill into that folder
- Show Duplicates


 Duplicate Files

Displays all duplicate files discovered during the disk analysis. Data is displayed in a new window.

Statistics data displayed:

Duplicates - number of duplicate files
Lost space to duplicates - in bytes

File Data displayed:

File Name
Size
Modified
Path

Actions available:

Copy
Delete
Print


 Network Monitor

Provides detailed information regarding the operation and status of your network connections.

Net Params

TCP Conn.

UDP Conn.

IP Address Tbl.

IP Routing Tbl.

Adapter Info

ARP Tbl

TCP Stats

UDP Stats

IP Stats

ICMP Input Stats

ICMP Output Stats


 Drive Map

This function displays all local and remote drives that are mapped to local drive letters (A..Z). The discovery process may take a few moments.

Data displayed:

Drive - A..Z
Type - Fixed, Removable, CDROM
R/W - Read only, write only, Read/Write
Total Bytes - Size of drive
Free Bytes - Available space on drive
Vol Ser - Serial number of the disk volume
Label - Volume label (if available)


 Integrated Web Browser

Techfacts XP includes an integrated web browser based on the installed Internet Explorer controls. The rendering and browsing capabilities of the integrated browser are dependant on the feature set of the installed version of Internet Explorer.

Basic controls

URL Entry - Enter URLs in the URL field on the main toolbar. Entered URLs are stored in the dropdown control and can be recalled at a later time.

Back, Forward, Refresh and Stop controls are available on the main toolbar.

When the web browser is visible, you can click the web/data switch button on the main toolbar to return to the data display portion of Techfacts XP.

You can RIGHT CLICK on the web browser to invoke the Internet Explorer standard controls popup menu.


 Export to Excel

This function exports the data topics to an excel worksheet.

Data is exported as follows:

Column 1: Section
Column 2: Topic
Column 3: Data

Row 1 is the column headers, data starts on row 3.


 Directory Compare and Synchronize

This tool is used to compare the contents of directories/folders and then synchronize their files.

Use the Left and Right panes to browse directories/folders and compare files.

You can then use the synchronization buttons to update either or both folders with newer files from the other.


 International Language Support

Techfacts XP can support other languages being displayed on certain menus, buttons and controls.

To use a language file go to the Techfacts XP configuration screen and select the option to use a language file and enter the language file name.

A default english.ini is delivered with Techfacts XP. Edit the values on the right of each "=" to be phrases in other languages and save the INI file to a different name, ie: german.ini.

[Translations]
; Main Menu captions
TFXPForm.File1.caption = &File
TFXPForm.Data1.caption = &Data
TFXPForm.Help1.caption = &Help
TFXPForm.Open1.caption = &Open
TFXPForm.Configure1.caption = C&onfigure
TFXPForm.Print1.caption = &Print
TFXPForm.Close2.caption = &Close
TFXPForm.Refresh1.caption = &Refresh
TFXPForm.SavereportasText1.caption = &Save report as Text
TFXPForm.Emailthisdata1.caption = &Email this data
TFXPForm.About1.caption = &About
TFXPForm.TechFactsXPHelp1.caption = &TechFacts XP Help Index
TFXPForm.TechFactsXPHelpTopics1.caption = &Get Help on the visible data
; Outlook style header captions
TFXPForm.Header1.caption = &System
TFXPForm.Header2.caption = &Windows
TFXPForm.Header3.caption = S&oftware
TFXPForm.Header4.caption = &Reports
TFXPForm.Header5.caption = &Tools
; Outlook style button bar captions
TFXPForm.OutlookButton0.caption = &Machine
TFXPForm.OutlookButton1.caption = &CPU
TFXPForm.OutlookButton2.caption = M&emory
TFXPForm.OutlookButton3.caption = &Printers
TFXPForm.OutlookButton4.caption = &Display
TFXPForm.OutlookButton5.caption = P&ower
TFXPForm.OutlookButton6.caption = Med&ia
TFXPForm.OutlookButton7.caption = &Network
TFXPForm.OutlookButton8.caption = De&vices
TFXPForm.OutlookButton9.caption = &Time Zone
TFXPForm.OutlookButton10.caption = &Processes
TFXPForm.OutlookButton11.caption = &Startup
TFXPForm.OutlookButton12.caption = &Database
TFXPForm.OutlookButton13.caption = D&rive Data
TFXPForm.OutlookButton14.caption = &Installed SW
TFXPForm.OutlookButton15.caption = Direct&X
TFXPForm.OutlookButton16.caption = &Windows List
TFXPForm.OutlookButton17.caption = CMO&S
TFXPForm.OutlookButton18.caption = &Text Report
TFXPForm.OutlookButton19.caption = &NT Services
TFXPForm.OutlookButton20.caption = H&W Ports
TFXPForm.OutlookButton21.caption = &IE Info
TFXPForm.OutlookButton22.caption = &SW Search
TFXPForm.OutlookButton23.caption = &Export to HTML
TFXPForm.OutlookButton24.caption = NW Por&ts
TFXPForm.OutlookButton25.caption = &System Changes
TFXPForm.OutlookButton26.caption = &Registry Analysis
TFXPForm.OutlookButton27.caption = S&W Sniffer
TFXPForm.OutlookButton28.caption = &Benchmark Tests
TFXPForm.OutlookButton29.caption = &Disk Analysis
TFXPForm.OutlookButton30.caption = Drive Ma&p
TFXPForm.OutlookButton31.caption = &NW Monitor
TFXPForm.OutlookButton32.caption = E&xport to Excel
TFXPForm.OutlookButton33.caption = &O/S
TFXPForm.OutlookButton34.caption = &Folder Compare
TFXPForm.OutlookButton35.caption = &Associations
TFXPForm.OutlookButton36.caption = &Installed Fonts
TFXPForm.OutlookButton37.caption = &Clipboard
TFXPForm.OutlookButton38.caption = Dis&k Cleanup

[Messages]
Workstation Information = Workstation Information
Operation System Information = Operation System Information
CPU Information = CPU Information
Memory Information = Memory Information
Display Information = Display Information
Power Information = Power Information
Media Device Information = Media Device Information
Network Information = Network Information
Installed Device Information = Installed Device Information
Printer Information = Printer Information
Database Engine Information = Database Engine Information
Storage Information = Storage Information
Date and Time Zone Information = Date and Time Zone Information
Process Information = Process Information
Startup Information = Startup Information
Installed Software = Installed Software
Windows Enumeration = Windows Enumeration
CMOS Information = CMOS Information
Internet Explorer Information = Internet Explorer Information
Hardware Port Information = Hardware Port Information
NT Service Information = NT Service Information
Software Search = Software Search
Network Port Information = Network Port Information
System Change Monitor = System Change Monitor
Registry Analysis = Registry Analysis
Software Sniffer = Software Sniffer
Performance Tests = Performance Tests
DirectX Information = DirectX Information
Network Drive Mappings = Network Drive Mappings
Disk Evaluator = Disk Evaluator
Network Monitor = Network Monitor
Disk Analysis = Disk Analysis
Directory/Folder Comparison = Directory/Folder Comparison
File Associations = File Associations
Installed Fonts = Installed Fonts
Clipboard Formats = Clipboard Formats
Disk Cleanup = Disk Cleanup
Unable to invoke your default EMail client.. = Unable to invoke your default EMail client..
TechFacts XP unable to gather all data = TechFacts XP unable to gather all data
TechFacts XP already has a search/discovery running.. = TechFacts XP already has a search/discovery running..
This information does not have a print object = This information does not have a print object


 File Associations

The option provides a form that displays all file associations registered with the Windows operation system.

Click on "Refresh" to update the list.

Click on "Done" to close the form.


 Installed Fonts

This option provides a list of all installed fonts and displays the font name in the visible font characteristics.

You can view only TrueType fonts by clicking on the checkbox for that option.

You can dynamically change the font viewing size by adjusting the font size in the available control.


 Clipboard Viewer

This option displays a list of all registered clipboard formats on the clipboard.

Click on the "Clear Clipboard" button to completely clear all formats from the clipboard.


 Disk Cleanup

This tool will search a specific drive for files that may be cluttering the drive space and allows you to selectively eliminate them.

Select the folder on the disk in which to start the search.

Add or Delete any file extensions to search for.

Add or Delete any files to search for.

Add or Delete any folders to search within for files older than x days.

Select whether or not to search for files that have not been accessed in x days and select the number of days.

Click on the "Start Search" button to begin the search for matching software.


 Icon Extractor

This tool searches files and folders for icons embedded within binary programs and libraries.

Files examined: *.exe; *.dll


 Graphics Viewer

This tool lists various graphics formats in a thumbnail viewer and then allows you to view and modify the graphic image.


 Software Debug

This software tool allows you to launch Windows executables and then track their loading and unloading steps such as libraries, processes and threads.

Select a program to execute. Techfacts will execute the program and display the process related events.

Threads: Creation (handle) and Exit.
DLLs: Loading and unloading of libraries
Process: creation
Exceptions: Processes related exceptions


 Port Scanner

This network tool scans host ip ports for valid ports.


 Network Ping / Trace

This network tool lets you Ping or Trace host names or IP addresses


 NT/2000/XP Performance Data

This tool displays the performance data unique to Windows NT/2000/XP.

The initial performance tree displays the standard performance topics. Click on the "+" next to each subject to expand into performance categories and counters.


 Software Resource Explorer

This tool displays all resources included in Windows binary files. This includes:
- icons
- graphics
- strings
- dialogs
- other resources


 NT File Monitor

The NT/2000/XP file monitor utility traces changes to specific files in folders and subfolders.

Actions traced include: creation, modification, deletion and renaming.

When you have selected this tool from the toolbar, a folder tree will appear. Click on the folder which will be the top folder for all file monitor activities.

Click on the "Start" button to start monitoring.

Click on the "Stop" button to stop monitoring.


 Screen Capture

This tool provides a process to capture:

- Entire Desktop
- Active Window
- Graphic Object
- Section of the screen

Each capture is stored as a bitmap (.bmp) file in the selected capture folder and can be modified, printed or copied to the clipboard.

On the capture screen select the radiobutton for the capture method you want to perform.

Modify the capture folder or leave it at the default Techfacts folder.

Click on the "Click to Capture" button.

Techfacts XP will minimize itself to the taskbar prior to the capture taking place. Once the capture has occured, Techfacts XP will restore itself and show the captured image in the graphics preview pane.


 Offline Web Page Catalog

This tool provides a means to scan folders or drives for offline web pages and then view them.

Use the Directory selection tree to select the folder to inspect for .HTM pages.

From the list of pages, select a page and then select from the following options:

1. View the page in true HTML format.
2. View the source HTML text for the page.
3. Parse the HTML page and view a tree of available links.


 DCom Servers

This tool lists all DCom servers installed on your system.


 Global Atoms

This tool lists all Global Atom strings available on your system.


 Tweak UI Settings

This function displays common UI settings and lets the user tweak those settings that have update capability. The settings are gathered from multiple sources and provide the following displays components:

Modify? Setting - This column has an indicator which when checked shows that the setting can be modified.

Value - The current value of the UI setting. If no value is displayed then the settings can not currently be displayed.

Source - Where did the data come from?

To modify a setting which allows modification, Double Click on the Setting name. A dialog will appear.


 Network Resource Search

This function searches your network connections for all available resources that the system can access.

The following data is displayed:

Remote Name - The name of the network resource as set by the remote system.

Type - This could include: networks, domains, servers, etc..

Comment - Any published comment from the remote system

Provider - Which network infrastructure is providing the network resource data, this could include Microsoft Networks, Novell, etc..


 Custom Report

This option allows you to specify data for a custom report on information gathered by Techfacts XP.

Title - Optionally enter text for a title line for the report

Select from the topics that you want included in the report

Output - Select either Text, HTML, Excel or XML output

Click on the "Run Report" button to generate the report.

Click on the "Save as Default" button to save the current settings as the default for future custom report sessions.


 Hex File Editor

This tools lets you edit any file on your system in either Hex or Ascii. Works on any binary or text file that you have permission to edit.

Use the "Open File" button to select the file to view or edit.

Use the "Font" size control to adjust the font size accordingly.

If you make a change to the file, the "Save File" button will become enabled.

As you move through the file, the offset byte count is displayed in the bottom view bar and it will indicate whether the file has been edited.


 NT/2k/XP Disk Sector Viewer

This tools allows you to view disk sectors for any local disk drive under Windows NT, 2000 or XP. This option does not work for 95/98 or ME.

From the drop-down list box select the local drive you want to scan. Sector 0 will immediately be displayed.

Use the spin control to either scan up or down the disk sectors or type a specific sector into the edit box.

The sector display shows the Hex and Actual sector values for all bytes within the selected sector.


 System Monitors

The main Techfacts XP page contains 4 monitors. The monitors are normally green, but will turn red when the actual value exceeds the user-defined high threshholds.

Monitor 1 - Memory Load in % used, includes a high and low percentile marker.

Monitor 2 - CPU Load in % used, includes a high and low percentile marker.

Monitor 3 - Storage drive monitor. Indicates percent of drive used, shows total and free space.

Monitor 4 - Configurable:

- Storage drive monitor. Indicates percent of drive used, shows total and free space.
- Physical Memory monitor. Indicates percent of memory used, shows total and free.

Use the Techfacts XP configuration screen to configure the monitor settings.


 Memory Defragmenter

This tool eliminates any memory fragmentation on your computer. This is the same functionality as many commercial memory defragmenter programs (RAM Optimizer, Idle RAM, etc).

To start defragmentation click on the "Start Defrag" button.

Do not use your system until the process is complete.

Note that after each defragmentation, applications will initially run slower as they reallocate their memory.


 NT/2000/XP ROM/BIOS Dump

This function displays the contents of the SMBIOS structure from memory into a hex data viewer panel.

Under Windows NT/2000/XP the contents of ROM/BIOS are availabe differently that win9x versions. Using the viewer you can scan addresses $F000 to $FFFF for data.


 Registry Browser

This function provides a basic local machine registry browser showing all keys and values as well as the last modified date for keys and their values.

The pane on the left will show the registry keys available in the local registry, the pane on the right shows all values associated with the selected key. There is a movable splitter bar between the panes that will allow you to resize the viewable data.

Click on the "Refresh" button to rebuild the registry data in the panes.

Click on the "Export" button to export registry content (from the currently selected key) to a REGEDIT compatible .REG file.

Click on the "Import" button to import data from a REGEDIT compatible .REG file to the local registry.

Note that only the first 256 bytes of binary data are displayed.


 Cookie Manager

This function displays all installed cookies as managed by the URLCache system function.

To populate the list of installed cookies click on the "Get Cookies" button. The following data will appear for each installed cookie:

Address - The site or owner of the cookie.

Hits - The number of times this cookie has been accessed.

Modified - The last time the cookie was modified.

Expires - The date on which the cookie will expire.

Full Path - Where the cookie resides/path on the local machine.

To delete a cookie from your system, highlight it and then click on the "Delete Cookie" button.


 DLL Orphan Manager

This function will search your system for all DLLs (libraries) and then cross reference them against all executable and binary files to try and determine which DLLs may be orphans by way of not being referenced by your system and which DLLs and executable files are duplicated on your system.

How it works:

The DLL Manager function will search all local drives for all files with the extension EXE,DRV,DLL,VXD and will then examine the PE header information for library import data. This data is part of the standard x86 binary and shows what libraries the executable will automatically load.

Note: Many executables manually load and unload libraries during execution, our function will NOT detect any dependancies on libraries managed in that fashion.

Once the search is complete, the manager will index all the retrieved data and will present a master list of all DLLs on the local system and a count of how many times a reference was detected in an executable file.

The data and how to use it:

Once the retrieval is complete, you will be presented a form with several lists:

DLL list - This list presents all DLLs and the number of times referenced by executables (exe,vxd,drv,dll). By clicking on an entry in this list (or use CTRL or SHIFT for multiple entries) you will populate the location and import lists. If a DLL shows a count of 0 then no executable specifically imported the DLL.

Location list - This list shows the file(s) where the DLL from the DLL list is located. You will see any duplicates in this list shown with their different locations. By clicking on an entry in this list you will populate the file action list. Multiple locations may be selected.

Import list - This list shows the files that import the DLL from the DLL list. By clicking on an entry in this list you will populate the file action list with all occurances of files matching the name of the executable selected in this list. Multiple import files may be selected.

File action list - This list shows the results of selecting files from the location or the import lists. Each file is shown with its name, date, size, declared version and full path. Any file that does not have declared version information will show a '?' in that field. You may select any single or multiple files from this list to be deleted using the "Delete File" button.

Actions you can take:

Start Search - This button will clear all data in the lists and start a new search.

Delete File - This button will delete all selected files from the File Action list.

Save Data - This button will save the data from the lists to files in the Techfacts XP folder for future retrieval.

Load Data - This button will load data from files into the DLL Orphan Manager lists and will invoke an indexing of that data.

Warning: Managing DLLs is not an exact science. Each vendor handles libraries in different ways and our tool is meant to assist you in locating potential ophan or duplicates candidates. If you choose to delete any files then do so at your own risk! Any deletions performed are automatically routed by Techfacts XP to the recycle bin so you can restore them. Please don't call us for tech support if you have deleted libraries or files and your system starts having problems.


 Loaded Modules

This functions provides a global list of all modules loaded on your system - both within the current processes and belonging to other processes including the system.


 Running Threads

This functions provides a global list of all running threads on your system - including all processes and the system threads.


 Version History

2.60 8/22/02
- Added Global List of Loaded Modules to Windows section.
- Added Global List of Running Threads to Windows section.
- Added XML output to Custom Reports.
- Added option on menu to check for updated Techfacts XP version on homepage.

2.51 7/17/02
- Added IE proxy information to the Internet Explorer Info function.
- Added options to EXPORT registry to a .REG file and import from a .REG file to the registry to the Registry Browser function.
- Corrected bug in Button that switches between Browser and techfacts functions so it doesn't cause a refresh.
- Added link on each help page to return to the table of contents page.

2.50 7/8/02
- Added new DLL Orphan Manager - search and manage DLL files.
- Changed certain file deletions in different functions to be routed to the recycle bin.
- Changed Help Manager to link to Google web search instead of Excite.

2.40 7/3/02
- Added new NT/2000/XP ROM/BIOS dump function.
- Added new Registry Browser with "Last modified date" feature for keys.
- Modified Disk Cleanup list so multiple files could be selected for deletion.
- Enabled Delete buttons on the Disk Cleanup screen.
- Updated Registry Cleanup function to not crash program when an error occurs, puts up dialog instead.

2.30 6/8/02
- Added Cookie Manager to view installed keys and their expiration dates.

2.20 5/01/02
- Added Memory Defragmenter tool.
- Added new group on toolbar for Clean & Repair options.
- Added new CPU and Dhrystone tests to the Benchmarking tool.

2.10 4/15/02
- Added HTML parsing option to the Web Browser and offline web page catalog functions.
- Corrected bugs in graphics/icon viewer causing GPFs.

2.03 04/02/02
- Added dialogs at end of folder syncronization showing completion status.
- Fixed bugs in offline web page search.

2.02 03/24/02
- Corrected bugs where App error boxes were appearing.
- Updated Shortcut bar with WinXP look.
- Added /debug=filename.ext option to help users get debug info.

2.01 03/18/02
- Added VIEW menu option with capability to hide shortcut and main toolbars as well as option to kickoff certain functions.
- Corrected bug causing app crash in certain circumstances.

2.00 03/11/02
- Addes system monitors to the main Techfacts XP page. 4 configurable gauge monitors.
- Added Hex File Editor tool to the Software/File Tools section.
- Added NT/2k/XP disk sector viewer to the NT/2k/XP section.
- Added DCom and Global Atoms to the Reports.
- Corrected bug where error messages were not being displayed.
- Corrected bug for NT/2k/XP where process list was not showing path to the executable and therefore the "Properties" button was ineffective.
- Added /customreport=xxx command line option.

1.80 03/04/02
- Added "Custom Report" option to Reports section.
- Added uninstall information and uninstall button to the Installed Software list.
- Corrected bug where zero length data was causing report generator to crash.

1.71 02/19/02
- Corrected bug when Data Refresh menu option was selected that was causing GPF.
- Corrected bug when "Show Duplicates" button was clicked while a Disk utilization search was in progress.
- Corrected bug that positioned form off screen on certain dual monitor systems.
- Corrected bug where Export to Excel was missing the data values.

1.70 01/21/02
- Added Tweak UI Settings function to System Tools group.
- Added Network Resource Search function to Network Tools group.
- Corrected bug in Hardware Port Search where cancelling operation would not work.
- Added system tray icon with right click to configure / exit program
- Corrected bug in Database list that was causing GPF.

1.60 01/02/02
- added new command-line options: /snapshot /autoclose /textreport=xxxxx.yyy /htmlexport=xxxxx.yyy
- added new offline web page browser utility
- added option to save "system snapshot" settings

1.50 12/5/01
- Added new Screen Capture utility under graphics tools.

1.42 11/19/01
- Added new NT File Monitor.

1.41 11/12/01
- Corrected bug in XP that wasn't displaying network protocol, client or services.

1.40 11/04/01
- Added Software Resource Explorer. Shows all resources used by executables and libraries.
- Added Performance Data Viewer. Shows NT/2000/XP performance data.
- Updated sections and options on the toolbars.
- Enhanced the Print, Copy-to-Clipboard and Email engines to support more Techfacts data types.

1.30 10/26/01
- Added Graphics viewer tool
- Corrected bug in file search routine
- Added Dutch translation of language file (thanks to Ron Vanderputten)

1.22 10/22/01
- Added SW Debug tool - shows loading and unloading of program DLLs, etc..
- Added Network Port Scanner, opens a range of ports on a remote system
- Added Icon Extractor - displays Icons available in a program or library
- Replaced outlook toolbar with one requiring less memory overhead (simpler).
- Updated invalid email and URL information for Dean Software

1.21 10/16/01
- Corrected error on CMOS panel
- Added Double-Click details on Internet Explorer Data Cache entries

1.20 10/12/01
- New File Association Viewer
- New Installed Font Viewer
- New Clipboard Format Viewer
- New Disk Cleanup Tool
- Update to IExx Data to show cache and cookies
- Update to prevent exception if system does not support network monitoring DLL.

1.10 9/5/01

- New Disk Utilization Tool
- New Duplicate File Finder (with Delete).
- New Drive Map Lister
- New Network Monitor
- New Directory/Folder comparison and synchronization tool.
- Added Help Director.
- Added integrated web browser with web navigation on the main toolbar.
- Added capability to support other languages on certain menus and buttons.

1.00 8/12/01 First Release